Application Passwords
Schema
The schema defines all the fields that exist within a application password record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.
uuid |
The unique identifier for the application password.
JSON data type: string, Read only Context: |
app_id |
A UUID provided by the application to uniquely identify it. It is recommended to use an UUID v5 with the URL or DNS namespace.
JSON data type: string, Context: |
name |
The name of the application password.
JSON data type: string Context: |
password |
The generated password. Only available after adding an application.
JSON data type: string Read only Context: |
created |
The GMT date the application password was created.
JSON data type: string, Read only Context: |
last_used |
The GMT date the application password was last used.
JSON data type: string or null, Read only Context: |
last_ip |
The IP address the application password was last used by.
JSON data type: string or null, Read only Context: |
Retrieve a Application Password
Definition & Example Request
GET /wp/v2/users/<user_id>)/application-passwords
Query this endpoint to retrieve a specific application password record.
$ curl https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords
Arguments
context |
Scope under which the request is made; determines fields present in response.
Default: One of: |
Create a Application Password
Arguments
app_id |
A UUID provided by the application to uniquely identify it. It is recommended to use an UUID v5 with the URL or DNS namespace. |
name |
The name of the application password.
Required: 1 |
Definition
POST /wp/v2/users/<user_id>)/application-passwords
Delete a Application Password
There are no arguments for this endpoint.
Definition
DELETE /wp/v2/users/<user_id>)/application-passwords
Example Request
$ curl -X DELETE https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords
Retrieve a Application Password
Definition & Example Request
GET /wp/v2/users/<user_id>)/application-passwords/introspect
Query this endpoint to retrieve a specific application password record.
$ curl https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords/introspect
Arguments
context |
Scope under which the request is made; determines fields present in response.
Default: One of: |
Retrieve a Application Password
Definition & Example Request
GET /wp/v2/users/<user_id>)/application-passwords/<uuid>
Query this endpoint to retrieve a specific application password record.
$ curl https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords/<uuid>
Arguments
context |
Scope under which the request is made; determines fields present in response.
Default: One of: |
Update a Application Password
Arguments
app_id |
A UUID provided by the application to uniquely identify it. It is recommended to use an UUID v5 with the URL or DNS namespace. |
name |
The name of the application password. |
Definition
POST /wp/v2/users/<user_id>)/application-passwords/<uuid>
Example Request
Delete a Application Password
There are no arguments for this endpoint.
Definition
DELETE /wp/v2/users/<user_id>)/application-passwords/<uuid>
Example Request
$ curl -X DELETE https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords/<uuid>
谢谢你的反馈!